// 普通路由
export const defaultRoutes = [
  // {
  //   path: '/redirect',
  //   component: 'Layout',
  //   hidden: true,
  //   children: [
  //     {
  //       path: '/redirect/:path*',
  //       component: '/redirect/index'
  //     }
  //   ]
  // },
  {
    path: '/login',
    component: '/login/index',
    hidden: true
  },

  {
    path: '/404',
    component: '/error-page/404',
    hidden: true
  },
  {
    path: '/401',
    component: '/error-page/401',
    hidden: true
  }
  // {
  //   path: '/',
  //   component: 'Layout',
  //   redirect: "/dashboard",
  //   children: [{
  //     path: 'dashboard',
  //     name:'',
  //     component: '/dashboard/index',
  //     meta: {
  //       title: '首页',
  //       icon: 'home',
  //       affix: true,
  //     }
  //   }]
  // },

]

// 开发者路由
export const developerRoutes = [

  // {
  //   path: '/developer',
  //   component: 'Layout',
  //   redirect: 'noRedirect',
  //   name: 'developer',
  //   meta: {
  //     title: '开发者管理',
  //     icon: 'backstage'
  //   },
  //   children: [
  //     {
  //       path: 'recovery',
  //       component: '/developer/recovery',
  //       name: 'developerRecovery',
  //       meta: {
  //         title: '数据恢复',
  //         noCache: true
  //       }
  //     }
  //   ]
  // }

]

// 权限路由
export const asyncRoutes = [
  {
    path: '/',
    component: 'Layout',
    redirect: '/dashboard',
    children: [{
      path: 'dashboard',
      name: 'Dashboard',
      component: '/dashboard/index',
      meta: {
        title: '导航管理',
        icon: 'home',
        affix: true,
        authList: [
          {
            name: '添加导航',
            value: 0
          }, {
            name: '更新权限',
            value: 1
          }, {
            name: '角色分配',
            value: 2
          }, {
            name: '编辑',
            value: 3
          }, {
            name: '删除',
            value: 4
          }
        ],
        buttonAuthList: []
      }
    }]
  },
  {
    path: '/account',
    component: 'Layout',
    redirect: '/account/index',
    children: [{
      path: 'index',
      name: 'Account',
      component: '/backstage/account',
      meta: {
        title: '账号管理',
        icon: 'lock',
        affix: true
      }
    }]
  },
  {
    path: '/role',
    component: 'Layout',
    redirect: '/role/index',
    children: [{
      path: 'index',
      name: 'Role',
      component: '/backstage/role',
      meta: {
        title: '角色管理',
        icon: 'star',
        affix: true
      }
    }]
  },

  // {
  //   path: '/backstage',
  //   component: 'Layout',
  //   redirect: 'noRedirect',
  //   name: 'backstageSet',
  //   meta: {
  //     title: '后台管理',
  //     icon: 'form'
  //   },
  //   children: [
  //     {
  //       path: 'account',
  //       component: '/backstage/account',
  //       name: 'backstage_account',
  //       meta: {
  //         title: '账号管理',
  //         noCache: true,
  //         icon: 'example'
  //       }
  //     },
  //     {
  //       path: 'role',
  //       component: '/backstage/role',
  //       name: 'backstage_role',
  //       meta: {
  //         title: '角色管理',
  //         noCache: true,
  //         icon: 'example'
  //       }
  //     }
  //   ]
  // },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]
