import request from '@/utils/request'
export function loginIn(data) {
  return request({
    url: '/auth/login',
    method: 'post',
    data
  })
}
// 获取账户信息
export function getUserInfo() {
  return request({
    url: '/auth/me',
    method: 'get'
  })
}
// 退出登录
export function loginOut(data) {
  return request({
    url: '/auth/logout',
    method: 'post',
    data
  })
}

