import request from '@/utils/request'

// 角色列表
export function getRole(params) {
  return request({
    url: '/role/index',
    method: 'get',
    params
  })
}

// 添加导航时获取角色列表角色列表
export function getAllRole(params) {
  return request({
    url: '/role/all',
    method: 'get',
    params
  })
}

// 获取角色列表权限
export function getAllRolePermissions(params) {
  return request({
    url: '/role/getAllRolePermissions',
    method: 'get',
    params
  })
}
// 添加角色
export function addRole(data) {
  return request({
    url: '/role/create',
    method: 'post',
    data
  })
}

// 修改角色
export function editRole(data) {
  return request({
    url: '/role/update',
    method: 'post',
    data
  })
}
// 删除角色
export function deleteRole(data) {
  return request({
    method: 'post',
    url: '/role/destroy',
    params: data
  })
}
// 推送当前项目所有权限
export function pushAllRolePermissions(data) {
  return request({
    url: '/role/pushAllRolePermissions',
    method: 'post',
    data
  })
}
